<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedecoop.html">decoop</a></li><li class="navelem"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">DynArrayRAIIWrapper</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">decoop::DynArrayRAIIWrapper&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a6b2bc4f10c2521d9963ca475d9bac82b">begin</a>() noexcept</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#af8616fa6972ed3e748d00b7baab58de9">begin</a>() const noexcept</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a72c5952d647f1b5e93f207ee2deaca8e">begin_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a6aab66a92c59b017fd6fd72f8ef1e55c">cbegin</a>() const noexcept</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#ab566b2fade2c9b673713b647909d7e5d">cend</a>() const noexcept</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a954de3f65f5ea2e6eccc4c8aa3726456">const_iterator</a> typedef</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#aae505d86823ce970f0347b8e66f732e3">DynArrayRAIIWrapper</a>(T *dyn_arr, size_t size)</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a214fbc6a27b5836f891be58108ff126d">DynArrayRAIIWrapper</a>(DynArrayRAIIWrapper const &amp;other)=delete</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#ada83e78b7f8fa48f67929fcd3b69bbd3">DynArrayRAIIWrapper</a>(DynArrayRAIIWrapper &amp;&amp;other)=default</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a170440e3e195b645c882a6407cf3ba4e">end</a>() noexcept</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a1a1713bd17ebd94657667b2e8520451a">end</a>() const noexcept</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a8dc6bf33800567ee955bb95546db8fd1">end_</a></td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a2867fd822f4f2816f57951a8aaf6d020">iterator</a> typedef</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#af5c0dac5d642405e58983c5e2f27d602">operator=</a>(DynArrayRAIIWrapper const &amp;other)=delete</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a8e329add0492981cab4e32dfae6fd82a">operator=</a>(DynArrayRAIIWrapper &amp;&amp;other)=default</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a70bc743139d8f34a00e5fda82814029e">operator[]</a>(size_t index) noexcept</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#ab67f010a86a8cf5428be4d9669a2145a">operator[]</a>(size_t index) const noexcept</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a934da971890063138fbefe63bee73eb2">size</a>() const noexcept</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html#a00c52a28bfbf3aac0ac786aae78934d2">~DynArrayRAIIWrapper</a>()=default</td><td class="entry"><a class="el" href="classdecoop_1_1_dyn_array_r_a_i_i_wrapper.html">decoop::DynArrayRAIIWrapper&lt; T &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
